Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Paludis/Cave] Can't resolve world
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
foux
Tux's lil' helper
Tux's lil' helper


Joined: 04 Jul 2004
Posts: 87
Location: Rennes, France

PostPosted: Wed Feb 19, 2014 6:49 pm    Post subject: [Paludis/Cave] Can't resolve world Reply with quote

Hello,

I'm brand new to Paludis, and I've got a problem resolving world :

Code:
/storage/backup> cave resolve -c -d 'net-misc/flexget' world
Done: 3211 steps               

These are the actions I will take, in order:

u   sys-apps/help2man:0::gentoo 1.43.3 to ::installed replacing 1.40.11 [cycle 1]
    nls build_options: symbols=split -dwarf_compress -optional_tests -trace work=tidyup
    Reasons: sys-boot/grub-2.00_p5107-r2:2::installed, sys-devel/automake-1.11.6:1.11::installed, sys-devel/automake-1.13.4:1.13::installed
    194.93 kBytes to download
    In dependency cycle with existing packages: sys-apps/help2man:0, virtual/awk:0

u   virtual/awk:0::gentoo 1 to ::installed replacing 0 [cycle 1]
    build_options: symbols=split -dwarf_compress -optional_tests -trace work=tidyup
    Reasons: net-analyzer/rrdtool-1.4.7-r1:0::installed

d   net-misc/flexget:0::gentoo 1.2.31 to ::installed replacing 9999
    -transmission (-test) PYTHON_TARGETS: -python2_6 python2_7 build_options: symbols=split -dwarf_compress -optional_tests -trace work=tidyup
    Reasons: target (world::environment)
    890.92 kBytes to download

Total: 1 downgrades, 2 upgrades, 1.06 MBytes to download

I did not take the following:

(<) dev-python/paver 1.1.1-r1:0::installed
    Reasons: was used by net-misc/flexget-9999:0::installed
    Take using: --purge

I encountered the following errors:

!   sys-apps/portage
    Reasons: !!<sys-apps/portage-2.1.9 from dev-lang/python-2.7.5-r3:2.7::installed, !<sys-apps/portage-2.1.10.41 from app-misc/ca-certificates-20130119:0::installed, !<sys-apps/portage-2.1.2 from sys-libs/glibc-2.17:2.2::installed, 7 more
    Unsuitable candidates:
      * sys-apps/portage-2.2.7:0::installed
      * sys-apps/portage-2.1.6.7_p1:0::gentoo
        Masked by profile
            Andreas K. Huettel <dilfridge@gentoo.org> (14 Jan 2013) Mask portage versions not supporting EAPI=5
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.1.6.11-r1:0::layman (in ::crg)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.6.13-r1:0::layman (in ::crg)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.9.25-r1:0::layman (in ::crg)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.11.9:0::layman (in ::OSSDL)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.11.62:0::layman (in ::regen2-overlay)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.11.62:0::gentoo
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.1.12.2:0::layman (in ::pentoo)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.1.12.2:0::gentoo
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.2_rc67:0::layman (in ::neuvoo)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2_rc67-r1:0::layman (in ::neuvoo)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2.0_alpha179:0::layman (in ::regen2-overlay)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2.1:0::gentoo
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.2.6:0::gentoo
        Masked by keyword
            Keywords ~alpha ~amd64 ~amd64-fbsd ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.2.6-r1:0::layman (in ::multilib)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2.7:0::gentoo
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.2.8:0::layman (in ::poly-c)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2.8:0::gentoo
        Masked by keyword
            Keywords ~alpha ~amd64 ~amd64-fbsd ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-2.2.8-r1:0::layman (in ::poly-c)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-2.2.8-r1:0::gentoo
        Masked by keyword
            Keywords ~alpha ~amd64 ~amd64-fbsd ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
      * sys-apps/portage-8888:0::layman (in ::gentoo-guis)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-9999:0::layman (in ::neuvoo)
        Masked by unavailable (In a repository which is unavailable)
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_targets_python2_7' enabled, assuming disabled if missing; Flag 'python_targets_python3_3' enabled, assuming disabled if missing
      * sys-apps/portage-9999:0::gentoo
        Masked by keyword
            Keywords
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed
            Flag 'python_single_target_python2_7' disabled, assuming disabled if missing
!   virtual/rubygems
    Reasons: dev-ruby/json-1.8.0:0::installed, dev-ruby/racc-1.4.9:0::installed, dev-ruby/rake-0.9.6:0::installed, dev-ruby/rdoc-4.0.1-r1:0::installed
    Unsuitable candidates:
      * virtual/rubygems-6:ruby20::gentoo
        Did not meet virtual/rubygems[ruby_targets_ruby18], use existing if same, installing to / from dev-ruby/rdoc-4.0.1-r1:0::installed (and 3 more)
            Flag 'ruby_targets_ruby18' enabled
        Did not meet virtual/rubygems[ruby_targets_ruby19], use existing if same, installing to / from dev-ruby/rdoc-4.0.1-r1:0::installed (and 3 more)
            Flag 'ruby_targets_ruby19' enabled


In my use.conf, I've got

Code:
# use.conf
# This file created by portage2paludis.bash
*/* avahi dbus device-mapper fpm fr gudev hddtemp java lm_sensors mysql mysqli ntfs perl samba sensord threads upnp vhosts zeroconf -bluetooth -cups -gnome -ipv6 -ldap -ppp -wext -wifi
*/* LINGUAS: -* fr
*/* PYTHON_SINGLE_TARGET: python2_7
*/* PYTHON_TARGETS: python2_7 python3_3
*/* RUBY_TARGETS: ruby18 ruby19 ruby20


I'm kind of lost here. Anyone knowing what's going on?
I've tried putting -* python2_7 in my PYTHON_SINGLE_TARGET, but it didn't help.

Thanks
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2952
Location: UK

PostPosted: Thu Feb 27, 2014 1:37 am    Post subject: Reply with quote

Code:
      * sys-apps/portage-2.2.1:0::gentoo
        Did not meet sys-apps/portage[python_targets_python2_7(-),python_targets_python3_3(-),-python_single_target_python2_6(-),-python_single_target_python2_7(-),-python_single_target_python3_2(-),-python_single_target_python3_3(-),-python_single_target_pypy2_0(-)], use existing if same, installing to / from app-portage/flaggie-0.2.1:0::installed

Try uninstalling that flaggie package then reinstalling it after you've updated @world.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum